Skip to main content
`Ctrl`+`K`

# PCGASMGetUseDMSubdomains

Returns flag indicating whether to use `DMCreateDomainDecomposition()` to define the subdomains, whenever possible with `PCGASM`

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGASMGetUseDMSubdomains(PC pc, PetscBool *flg)

Not Collective

## Input Parameter

- pc - the preconditioner

## Output Parameter

- flg - boolean indicating whether to use subdomains defined by the `DM`

## See Also

KSP: Linear System Solvers, `PCGASM`, `PCGASMSetUseDMSubdomains()`, `PCGASMSetOverlap()` `PCGASMCreateSubdomains2D()`

## Level

intermediate

## Location

src/ksp/pc/impls/gasm/gasm.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages